import { iter } from './iterator';
import { aiter } from './async-iterator';
export function wrap(func) {
    return function (...args) {
        // @ts-expect-error
        return iter(func.call(this, ...args));
    };
}
export function awrap(func) {
    return function (...args) {
        // @ts-expect-error
        return aiter(func.call(this, ...args));
    };
}
